Problems targeting AIR 3.0

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Problems targeting AIR 3.0

Manoel Neto
Hi,

If I compile my project for AIR 3.0 I the following error if I have
any Stage3D imports:

Error #1063: Argument count mismatch on flash.system::ImageDecodingPolicy().

I suspect this is due to the "air2" library being targeted at AIR 2
(as the name obviously implies, heh). But if I target AIR 2.7, I get
runtime errors too, but due to missing Program3D (probably caused by
my HSXL shaders), since the swf is now compiled as flash 10.

What's the recommended approach to deal with this? Is there a way to
conditionally replace my HSXL shaders by stubs when compiling for AIR
2.7?

Manoel Balbino de Lima Neto

--
haXe - an open source web programming language
http://haxe.org